Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-39508

Android: Crashes on startup on any device with API level < 18

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P0: Blocker
    • Resolution: Done
    • Affects Version/s: 5.3.1
    • Fix Version/s: 5.3.1
    • Labels:
      None
    • Platform/s:
      Android
    • Commits:
      8fa91217bcd0917cbc22e4608a579e6b1dedcde8

      Description

      The accessibility code uses a function called "setTextSelection" which was introduced in API level 18.

      Since this is not available on earlier platforms, any Qt application will crash in the JNI_OnLoad function when trying to resolve it.

        Attachments

          Issue Links

          For Gerrit Dashboard: QTBUG-39508
          # Subject Branch Project Status CR V

            Activity

              People

              Assignee:
              frederik Frederik Gladhorn
              Reporter:
              esabraha Eskil Abrahamsen Blomfeldt
              Votes:
              2 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes